import { animateValue } from './js/index.mjs';
import { noop } from '../utils/noop.mjs';

function createInstantAnimation({ keyframes, delay: delayBy, onUpdate, onComplete, }) {
    const setValue = () => {
        onUpdate && onUpdate(keyframes[keyframes.length - 1]);
        onComplete && onComplete();
        return {
            time: 0,
            play: (noop),
            pause: (noop),
            stop: (noop),
            then: () => Promise.resolve(),
        };
    };
    return delayBy
        ? animateValue({
            keyframes: [0, 1],
            duration: delayBy,
            onComplete: setValue,
        })
        : setValue();
}

export { createInstantAnimation };
